# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetNextHashElement

Function

Returns the next element in a hash table

Syntax
`
#include <dx/dx.h>
`

Element DXGetNextHashElement(HashTable hashTable)

Functional Details

The elements are returned in no predefined order. `DXInitGetNextHashElement` must be called before any calls to `DXGetNextHashElement` are made.

`Element` is defined as:

`typedef Pointer Element;`

Return Value

Returns the next element or returns `NULL` if there are no more elements to return.

See Also

`DXCreateHash, DXInitGetNextHashElement`

14.5 , "Hashing".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]